<?php

namespace App\Enums;

use App\Concerns\HasLabels;

enum ClothingType: string
{
    use HasLabels;

    case Top = 'top';
    case Bottom = 'bottom';
    case Dress = 'dress';
    case Outerwear = 'outerwear';
    case Shoes = 'shoes';
    case Accessory = 'accessory';
    case Underwear = 'underwear';
    case Sportswear = 'sportswear';

    protected function translationKey(): string
    {
        return 'enums.clothing_type.'.$this->value;
    }
}
